## org.eclipse.uml2.uml
Interface CreateLinkObjectAction

All Superinterfaces:
  Action, ActivityNode, CreateLinkAction, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, LinkAction, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement, WriteLinkAction

    public interface CreateLinkObjectAction

extends CreateLinkAction

A representation of the model object 'Create Link Object Action'. A create link object action creates a link object.

The following features are supported:

- `Result`

See Also:
  `UMLPackage.getCreateLinkObjectAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`OutputPin` `createResult(java.lang.String name, Type type)` Creates a new `OutputPin`,with the specified 'Name', and 'Type', and sets the 'Result' containment reference
`OutputPin` `getResult()` Returns the value of the 'Result' containment reference.
`void` `setResult(OutputPin value)` Sets the value of the '`Result`' containment reference
`boolean` `validateAssociationClass(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The association must be an association class.
`boolean` `validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of the output pin is 1..1.
`boolean` `validateTypeOfResult(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The type of the result pin must be the same as the association of the action.

Methods inherited from interface org.eclipse.uml2.uml.CreateLinkAction
`validateAssociationNotAbstract`

Methods inherited from interface org.eclipse.uml2.uml.WriteLinkAction
`validateAllowAccess`

Methods inherited from interface org.eclipse.uml2.uml.LinkAction
`association, createEndData, createEndData, createInputValue, createInputValue, getEndData, getInputValue, getInputValue, getInputValues, validateNotStatic, validateSameAssociation, validateSamePins`

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResult

    OutputPin getResult()

  Returns the value of the 'Result' containment reference.

  This feature subsets the following features:

  - '`Output`'
  Gives the output pin on which the result is put.

  Returns:
    the value of the 'Result' containment reference.
  See Also:
    `setResult(OutputPin)`, `UMLPackage.getCreateLinkObjectAction_Result()`

### setResult

    void setResult(OutputPin value)

  Sets the value of the '`Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Result' containment reference.
  See Also:
    `getResult()`

### createResult

    OutputPin createResult(java.lang.String name,
                           Type type)

  Creates a new `OutputPin`,with the specified 'Name', and 'Type', and sets the 'Result' containment reference.

  Parameters:
    `name` - The 'Name' for the new `OutputPin`, or `null`.
    `type` - The 'Type' for the new `OutputPin`, or `null`.
  Returns:
    The new `OutputPin`.
  See Also:
    `getResult()`

### validateAssociationClass

    boolean validateAssociationClass(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  The association must be an association class. self.association().oclIsKindOf(Class)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTypeOfResult

    boolean validateTypeOfResult(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The type of the result pin must be the same as the association of the action. self.result.type = self.association()

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMultiplicity

    boolean validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of the output pin is 1..1. self.result.multiplicity.is(1,1)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.